<?php
	defined( "_VALID_PAGE_MONITOR" ) or die (_NODIRECTACCESS);
	
	function loadModule ($moduleName, $moduleParams) {
		$m = NULL;
		if( $moduleName == "previewBrowser" ){
			$m = new PreviewBrowser($moduleParams);
		}elseif( $moduleName == "productList" ){
			$m = new ProductList($moduleParams);
		}elseif( $moduleName == "timerModule" ){
			$m = new TimerModule($moduleParams);
		}
		
		return $m;
	}
	
	function getTemplateWebLocation(){
		$pm_config = $GLOBALS["pm_config"];
		return $pm_config["http_location"] . DIRECTORY_SEPARATOR . "templates" . DIRECTORY_SEPARATOR . $pm_config["template"];
	}
?>